Opened 3 years ago

Last modified 3 years ago

#4722 closed change

Increase minimum Chrome version to 49 from 41 — at Version 4

Reported by: kzar Assignee: kzar
Priority: P2 Milestone: Adblock-Plus-1.13-for-Chrome-Opera
Module: Platform Keywords:
Cc: sebastian, trev, wspee Blocked By:
Blocking: Platform: Chrome
Ready: yes Confidential: no
Tester: Ross Verified working: yes
Review URL(s):

https://codereview.adblockplus.org/29367316/
https://codereview.adblockplus.org/29371739/

Description (last modified by kzar)

Background

As of #4552 we removed JS Hydra. Unfortunately that broke things since Chrome versions lower than 45 don't support arrow functions and versions lower than 49 don't support destructuring.

What to change

  • Increase the minimum Chrome version to 49.
  • Remove legacy code and workarounds that are no longer required.

Change History (4)

comment:1 Changed 3 years ago by kzar

  • Description modified (diff)
  • Summary changed from Increase minimum Chrome version to 45 from 41 to Increase minimum Chrome version to 49 from 41

comment:2 Changed 3 years ago by wspee

  • Cc wspee added

comment:3 Changed 3 years ago by kzar

  • Description modified (diff)
  • Priority changed from Unknown to P2
  • Ready set
  • Review URL(s) modified (diff)
  • Status changed from new to reviewing

comment:4 Changed 3 years ago by kzar

  • Description modified (diff)
Note: See TracTickets for help on using tickets.